org.freedesktop.cairo

## Class SurfacePattern

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.freedesktop.cairo.Pattern
      - - org.freedesktop.cairo.SurfacePattern

-     public class SurfacePattern
      extends Pattern

  A source Pattern that is derived from another Surface. Creating on of these allows you to use another Surface you have or are working with as the "paint" when drawing on a different Surface.

  These are created internally if you call `setSource()`.

  Since:
    4.0.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SurfacePattern(Surface surface)` Create a Pattern based on an existing Surface.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.cairo.Pattern

      `addColorStopRGB, addColorStopRGBA, getSurface, setExtend, setFilter`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SurfacePattern

          public SurfacePattern(Surface surface)

      Create a Pattern based on an existing Surface.
      Since:
        4.0.7